com.pixelmed.dose

## Class PersonParticipant

- java.lang.Object
- - com.pixelmed.dose.PersonParticipant

    public class PersonParticipant
    extends java.lang.Object

### Field Summary

Fields
`protected java.lang.String` `id`
`protected java.lang.String` `idIssuer`
`protected java.lang.String` `name`
`protected java.lang.String` `organization`
`protected RoleInOrganization` `roleInOrganization`
`protected RoleInProcedure` `roleInProcedure`

### Constructor Summary

Constructors
Constructor and Description
`PersonParticipant(ContentItem parent)`
`PersonParticipant(java.lang.String name, RoleInProcedure roleInProcedure, java.lang.String id, java.lang.String idIssuer, java.lang.String organization, RoleInOrganization roleInOrganization)`

### Method Summary

Methods
`java.lang.String` `getId()`
`java.lang.String` `getIdIssuer()`
`java.lang.String` `getName()`
`java.lang.String` `getOrganization()`
`RoleInOrganization` `getRoleInOrganization()`
`RoleInProcedure` `getRoleInProcedure()`
`ContentItem` `getStructuredReportFragment()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    protected java.lang.String name

#### roleInProcedure

    protected RoleInProcedure roleInProcedure

#### id

    protected java.lang.String id

#### idIssuer

    protected java.lang.String idIssuer

#### organization

    protected java.lang.String organization

#### roleInOrganization

    protected RoleInOrganization roleInOrganization

### Constructor Detail

#### PersonParticipant

    public PersonParticipant(java.lang.String name,
                     RoleInProcedure roleInProcedure,
                     java.lang.String id,
                     java.lang.String idIssuer,
                     java.lang.String organization,
                     RoleInOrganization roleInOrganization)

#### PersonParticipant

    public PersonParticipant(ContentItem parent)

### Method Detail

#### getName

    public java.lang.String getName()

#### getRoleInProcedure

    public RoleInProcedure getRoleInProcedure()

#### getId

    public java.lang.String getId()

#### getIdIssuer

    public java.lang.String getIdIssuer()

#### getOrganization

    public java.lang.String getOrganization()

#### getRoleInOrganization

    public RoleInOrganization getRoleInOrganization()

#### getStructuredReportFragment

    public ContentItem getStructuredReportFragment()
                                            throws DicomException

Throws:
  `DicomException`